| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Enumerations | Functions
generic_file.hpp File Reference
Private

class generic_file is defined here as well as class fichierthe generic_file interface is widely used in libdar it defines the standard way of transmitting data between different part of the library More...

`#include "infinint.hpp"`
`#include "../my_config.h"`
`#include "path.hpp"`
`#include "integers.hpp"`
`#include "thread_cancellation.hpp"`
`#include "label.hpp"`
`#include "crc.hpp"`
`#include "user_interaction.hpp"`
`#include "on_pool.hpp"`
`#include <string>`

Go to the source code of this file.

## Classes
class | libdar::generic_file
| this is the interface class from which all other data transfer classes inherit More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Macros
#define | CONTEXT_INIT "init"
#define | CONTEXT_OP "operation"
#define | CONTEXT_LAST_SLICE "last_slice"

## Enumerations
enum | libdar::gf_mode { libdar::gf_read_only, libdar::gf_write_only, libdar::gf_read_write }
| generic_file openning modes More...

## Functions
const char * | libdar::generic_file_get_name (gf_mode mode)
| provides a human readable string defining the gf_mode given in argument

## Detailed Description

class generic_file is defined here as well as class fichier

the generic_file interface is widely used in libdar it defines the standard way of transmitting data between different part of the library

- compression engine
- encryption engine
- exchange through pipes
- slicing
- dry run operations
- file access

Definition in file generic_file.hpp.